## ros-indigo-p2os-driver 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(p2os_driver)

find_package(catkin REQUIRED COMPONENTS p2os_msgs diagnostic_updater nav_msgs roscpp geometry_msgs tf std_msgs)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES p2os_driver
   CATKIN_DEPENDS p2os_msgs nav_msgs roscpp geometry_msgs diagnostic_updater tf std_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(p2os_driver  src/p2osnode.cc 
                            src/p2os.cc 
                            src/kinecalc.cc 
                            src/packet.cc 
                            src/robot_params.cc 
                            src/sip.cc 
                            src/p2os_ptz.cpp)
target_link_libraries(p2os_driver ${catkin_LIBRARIES})
add_dependencies(p2os_driver p2os_msgs_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS p2os_driver
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-p2os-driver (2.0.3-0trusty) trusty; urgency=high

  * Reformatted code style.
  * Cleaned up the driver.
  * Contributors: Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Sun, 25 Oct 2015 04:00:00 -0000

ros-indigo-p2os-driver (2.0.2-0trusty) trusty; urgency=high

  * Fixed a small issue (but a big problem) in the source.
  * Contributors: Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Tue, 04 Aug 2015 04:00:00 -0000

ros-indigo-p2os-driver (2.0.1-0trusty) trusty; urgency=high

  * Doing some cleanup of the code.
  * Additional code updates for p3dx-sh-lms1xx parameters.
  * Added robot parameters for the P3DX models that ship with LMS1xx lasers.
  * Contributors: Damjan Miklic, Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Sat, 11 Jul 2015 04:00:00 -0000

ros-indigo-p2os-driver (1.0.13-0trusty) trusty; urgency=high

  * Added parameters the p2os node to specify frame IDs for the odom->base_link transform.
  * Contributors: Damjan Miklic

 -- Hunter Allen <allen286@purdue.edu>  Sat, 02 May 2015 04:00:00 -0000

ros-indigo-p2os-driver (1.0.12-0trusty) trusty; urgency=high

  * Updated to match indigo-devel
  * Fixed dependency issues and cleaned up package.xml and CMakeLists.txt for p2os_driver and p2os_msgs
  * Separated p2os_driver and p2os_msgs
  * Fixed include paths of p2os_driver
  * General cleanup and fixing issues with the code
  * Contributors: Aris Synodinos, Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Wed, 25 Jun 2014 04:00:00 -0000

ros-indigo-p2os-driver (1.0.11-0trusty) trusty; urgency=high



 -- Hunter Allen <hunter.allen@vanderbilt.edu>  Wed, 25 Jun 2014 04:00:00 -0000

ros-indigo-p2os-driver (1.0.10-0trusty) trusty; urgency=high



 -- Hunter Allen <hunter.allen@vanderbilt.edu>  Wed, 28 May 2014 04:00:00 -0000

ros-indigo-p2os-driver (1.0.9-0trusty) trusty; urgency=high

  * Updated version
  * 1.0.7
  * Updated changelogs

 -- Hunter Allen <hunter.allen@vanderbilt.edu>  Sun, 18 Aug 2013 04:00:00 -0000

ros-indigo-p2os-driver (1.0.7-0trusty) trusty; urgency=high

  * Updated to match hmt-git.com repository

 -- Hunter Allen <hunter.allen@vanderbilt.edu>  Sun, 18 Aug 2013 04:00:00 -0000

ros-indigo-p2os-driver (1.0.5-0trusty) trusty; urgency=high

  * Syncing github with hmt-git.com repository

 -- Hunter Allen <hunter.allen@vanderbilt.edu>  Tue, 23 Jul 2013 04:00:00 -0000

ros-indigo-p2os-driver (1.0.1-0trusty) trusty; urgency=high

  * Updating to match hmt-git.com repo
  * Added forgotten dependencies
  * Added package dependencies
  * Updated C++ Code
  * Updated package.xml
  * Updated CMakeLists.txt
  * Updated CMakeLists.txt
  * Added message header files
  * Remapped the files to the right headers
  * cleaned up include directory
  * Updated the main driver to use catkin
  * Added covariance to Odometry msg.
  * Modified the CMakeLists.txt file.
  * added the code

 -- Hunter Allen <hunter.allen@vanderbilt.edu>  Mon, 22 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-p2os-driver
Section: misc
Priority: extra
Maintainer: Hunter Allen <allen286@purdue.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-p2os-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/p2os_driver
Standards-Version: 3.9.2

Package: ros-indigo-p2os-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-p2os-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf
Description: Driver file descriptions for P2OS/ARCOS robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-p2os-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
